<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- IGAC proyecto SNC 

@author: javier.aponte 									
@description Pantalla de la actividad corespondiente a ingresar solicitud de productos 
@version 1.0
@cu CU-TV-PR-003
@author javier.aponte

-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:productos="http://java.sun.com/jsf/composite/productos"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="/templates/generalCU.xhtml">

    <ui:define name="content">
        <p:messages id="msgsIngresarSolicitudPC" showDetail="false"
                    globalOnly="false" />
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" />

        <p:spacer height="30" width="0" />

        <p:fieldset toggleable="true" toggleSpeed="500">

            <legend> 
                <h:outputLabel value="Ingresar solicitud de productos" styleClass="legendTitle" /> 
            </legend>

            <productos:productoCatastralResumen id="pcResumen"
                                                selectedSolicitudParam="#{ingresoSolicitudP.solicitudSeleccionada}"
                                                documentosSoportesParam="#{ingresoSolicitudP.documentosSoportesPC}" />

            <h:form prependId="false" id="ingresarSolicitudPCForm">	

                <p:fieldset toggleable="true" toggleSpeed="500"
                            id="productosAsociadosASolicitudFS">
                    <legend>
                        <h:outputText value="Productos asociados a la solicitud"
                                      styleClass="legendTitle" />
                    </legend>

                    <h:panelGrid columns="1" width="100%">

                        <p:dataTable id="tblDatosProductosAsociados" var="productoCatastralAsociado"
                                     rowKey="#{productoCatastralAsociado.id}"
                                     emptyMessage="No se han adicionado productos a la solicitud"
                                     paginator="true" rows="10"
                                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                     paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                                     value="#{ingresoSolicitudP.productosCatastralesAsociados}">

                            <f:facet name="header">
                                Productos asociados a la solicitud
                            </f:facet>

                            <p:column>
                                <f:facet name="header">
                                    Opciones
                                </f:facet>
                                <p:commandButton
                                    action="#{ingresoSolicitudP.editarProductosCatastralesAsociados}"
                                    onstart="statusDialog2.show();"
                                    oncomplete="statusDialog2.hide(); adicionarProductoWV.show()"
                                    id="editarProductoCatastralAsociado" icon="ui-icon ui-icon-pencil"
                                    update=":adicionarProductoSolForm"
                                    rendered="#{!ingresoSolicitudP.vieneDeRevisarProductosGenerados or 
                                                (ingresoSolicitudP.vieneDeRevisarProductosGenerados and productoCatastralAsociado.revisionAprobada ne 'SI')}"
                                    title="Editar">
                                    <f:setPropertyActionListener value="#{productoCatastralAsociado}"
                                                                 target="#{ingresoSolicitudP.productoCatastralSeleccionado}" />
                                    <f:setPropertyActionListener value="#{true}"
                                                                 target="#{ingresoSolicitudP.editarProductoCatastral}" />
                                </p:commandButton>
                                <p:commandButton
                                    action="#{ingresoSolicitudP.eliminarProductosCatastralesAsociados}"
                                    icon="ui-icon ui-icon-trash"
                                    rendered="#{ingresoSolicitudP.vieneDeRegistrarCorreccionesAProductosEntregados}"
                                    title="Eliminar" id="eliminarProductoCatastralAsociado"
                                    onstart="statusDialog2.show();"
                                    oncomplete="statusDialog2.hide();"
                                    update=":ingresarSolicitudPCForm"
                                    process="@this">
                                    <f:setPropertyActionListener value="#{productoCatastralAsociado}"
                                                                 target="#{ingresoSolicitudP.productoCatastralSeleccionado}" />
                                </p:commandButton>
                            </p:column>

                            <p:column headerText="Código">
                                <h:outputText value="#{productoCatastralAsociado.producto.codigo}" />
                            </p:column>

                            <p:column headerText="Descripción">
                                <h:outputText value="#{productoCatastralAsociado.producto.nombre}" />
                            </p:column>

                            <p:column headerText="Cantidad">
                                <h:outputText value="#{productoCatastralAsociado.cantidad}" />
                            </p:column>

                            <p:column headerText="Revision aprobada" rendered="#{ingresoSolicitudP.vieneDeRevisarProductosGenerados}">
                                <h:outputText value="#{productoCatastralAsociado.revisionAprobada}" />
                            </p:column>				

                        </p:dataTable>

                        <p:spacer height="10" width="0"/>

                        <p:commandButton value="Adicionar"
                                         icon="ui-icon ui-icon-circle-plus"
                                         action="#{ingresoSolicitudP.inicializarProductoCatastralAsociadoASolicitud}"
                                         update=":msgsIngresarSolicitudPC, tblDatosProductosAsociados, :adicionarProductoSolForm"
                                         onstart="statusDialog2.show();" immediate="true"
                                         oncomplete="statusDialog2.hide();adicionarProductoWV.show();"
                                         process="@form">
                            <f:setPropertyActionListener value="#{false}"
                                                         target="#{ingresoSolicitudP.editarProductoCatastral}" />
                        </p:commandButton>

                    </h:panelGrid>

                </p:fieldset>

                <p:spacer height="10" width="0"/>

                <h:panelGrid columns="3">

                    <p:commandButton value="Registrar datos de productos"
                                     rendered="#{ingresoSolicitudP.vieneDeRegistroDatosONuevo or ingresoSolicitudP.vieneDeRegistrarCorreccionesAProductosEntregados}"
                                     ajax="false" title="Registrar datos de productos"
                                     action="#{ingresoSolicitudP.avanzarProcesoARegistrarDatosDeProductos}"
                                     icon="ui-icon-seek-next"/>

                    <p:spacer height="0" width="20"/>

                    <p:commandButton value="Revisar productos generados"
                                     rendered="#{ingresoSolicitudP.vieneDeRevisarProductosGenerados}"
                                     ajax="false" title="Revisar productos generados"
                                     action="#{ingresoSolicitudP.avanzarProcesoARevisarProductosGenerados}"
                                     icon="ui-icon-seek-next"/>

                </h:panelGrid>

                <p:spacer height="30" width="0" />

                <p:separator style="width:90%;height:3px" />
                <p:spacer height="7" width="0" />
                <p:outputPanel layout="block" style="text-align:right">
                    <p:commandButton value="Cerrar" 
                                     icon="ui-icon-circle-close" immediate="true" process="@this"
                                     action="#{ingresoSolicitudP.cerrarPaginaPrincipal}"
                                     ajax="false" />
                    <p:spacer height="0" width="30" />
                </p:outputPanel>

            </h:form>
        </p:fieldset>

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />	


        <p:dialog header="Detalle de la solicitud" dynamic="true"
                  widgetVar="detalleSolicitudWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include
                src="/conservacion/ejecucion/detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{ingresoSolicitudP.solicitudSeleccionada}" />
                <ui:param name="tramiteResumenID"
                          value="#{null}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Adicionar productos" widgetVar="adicionarProductoWV"
                  dynamic="true" modal="true" appendToBody="true" resizable="true"
                  position="center" height="260" width="480">
            <ui:include src="/tramite/radicacion/adicionarProductoSolicitud.xhtml" >
                <ui:param name="managedBeanParam" value="#{ingresoSolicitudP}" />
                <ui:param name="idTablaPCAsociadosParam"
                          value=":ingresarSolicitudPCForm:tblDatosProductosAsociados" />
            </ui:include>
        </p:dialog>

    </ui:define>
</ui:composition>